> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge return

> Acknowledge receipt of an approved return.



## OpenAPI

````yaml dropship_returns.openapi put /v1/retailers/{retailer_id}/rmas/{id}/acknowledge/
openapi: 3.0.0
info:
  title: Returns API
  version: 1.0.0
  description: |
    Endpoints for managing return merchandise authorizations (RMAs).
servers:
  - url: https://marketplace-api.fabric.inc
    description: Production server
security:
  - Bearer: []
tags:
  - name: Returns
    description: Return Merchandise Authorization (RMA)
paths:
  /v1/retailers/{retailer_id}/rmas/{id}/acknowledge/:
    put:
      tags:
        - Returns
      summary: Acknowledge return
      description: Acknowledge receipt of an approved return.
      operationId: v1_retailers_rmas_acknowledge
      parameters:
        - name: id
          in: path
          description: >-
            The unique RMA ID. This ID is automatically generated when you
            register a pending return for a vendor using the POST
            `/v1/retailers/{retailer_id}/rmas/` endpoint.
          required: true
          schema:
            type: number
          example: 12
        - name: retailer_id
          in: path
          description: >-
            The unique retailer ID. In the Dropship UI this is called the
            **Merchant ID**. To find your Merchant ID, click your merchant name
            in the top nav.
          required: true
          schema:
            type: number
          example: 506
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RMA'
        required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RMA'
components:
  schemas:
    RMA:
      required:
        - order_id
        - reason_id
      type: object
      properties:
        id:
          description: RMA ID. This ID is required in subsequent endpoints related to RMA.
          example: 4
          type: integer
          readOnly: true
        order_id:
          description: Order ID
          example: 1000
          type: integer
        purchase_order_number:
          description: Purchase order number
          example: CS192168
          minLength: 1
          type: string
          readOnly: true
        rma_number:
          description: RMA number
          example: ABC123
          maxLength: 32
          type: string
          nullable: true
        status:
          description: RMA status. Default is Pending.
          example: Pending
          type: string
          nullable: true
          enum:
            - pending
            - approved
            - rejected
        currency:
          $ref: '#/components/schemas/Currency'
        created_by:
          description: User that initiated RMA
          example: Retailer
          type: string
          nullable: true
          enum:
            - retailer
            - brand
        rmad_at:
          description: Time of RMA creation (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        approved_at:
          description: Time of RMA approval (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        rejected_at:
          description: Time of RMA rejection(UTC format)
          example: null
          type: string
          format: date-time
          nullable: true
        ordered_at:
          description: Time of order finalization (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        acknowledged_at:
          description: Time of RMA acknowledgment (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        rma_lines:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/RMALine'
        reason:
          description: Reason for return
          example: Incorrect
          minLength: 1
          type: string
          readOnly: true
        reason_id:
          description: ID associated with return reason
          example: 344
          type: integer
        memos:
          type: array
          items:
            $ref: '#/components/schemas/Memo'
          readOnly: true
        attachments:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Attachment'
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        brand:
          $ref: '#/components/schemas/BrandShort'
        total_amount:
          description: Total amount
          example: '34.00'
          type: string
          readOnly: true
        credits:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Credit'
    Currency:
      type: object
      properties:
        id:
          description: Currency ID
          example: 1
          type: integer
          readOnly: true
        name:
          description: Currency name
          example: United States Dollar
          maxLength: 200
          type: string
        symbol:
          description: Currency symbol
          example: $
          maxLength: 5
          type: string
          nullable: true
        unit:
          description: Currency unit
          example: USD
          type: string
          readOnly: true
    RMALine:
      type: object
      properties:
        id:
          description: RMA line ID
          example: 567
          type: integer
          readOnly: true
        variant:
          $ref: '#/components/schemas/VariantShort'
        quantity:
          description: Total quantity
          example: 20
          maximum: 2147483647
          minimum: -2147483648
          type: integer
        quantity_shipped:
          description: Quantity shipped
          example: 10
          type: integer
          readOnly: true
        net_price:
          description: Net price
          example: '12.00'
          type: string
          readOnly: true
    Memo:
      type: object
      properties:
        id:
          description: Memo ID
          example: 1234
          type: integer
          readOnly: true
        text:
          description: Memo text
          example: Immediate requirement
          type: string
        visibility:
          description: Memo visibility
          example: any
          type: string
          enum:
            - any
            - retailer
            - brand
        acknowledged_at:
          description: Time memo acknowledgment (UTC format)
          example: '2022-01-10T15:24:56Z'
          type: string
          readOnly: true
        notify_people:
          description: 'true: notify stakeholders | false: do not notify'
          example: true
          type: boolean
        created_by:
          $ref: '#/components/schemas/UserShort'
        created_by_context:
          description: Represents whether memo is created by retailer or brand?
          example: retailer
          type: string
          nullable: true
          enum:
            - retailer
            - brand
        created_at:
          description: Time of memo creation (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        updated_at:
          description: Time of memo update (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
    Attachment:
      type: object
      properties:
        id:
          description: Attachment or document ID
          example: 268
          type: integer
          readOnly: true
        content_type:
          description: Content type
          example: 1
          type: integer
        object_id:
          description: Attachment object ID
          example: 666
          type: integer
        file:
          description: File name
          example: Sample file
          type: string
          format: uri
          nullable: true
          readOnly: true
        uploaded_by:
          description: User ID that uploaded the attachment
          example: 646
          type: integer
          nullable: true
        visible_by:
          description: User permission who can view the attachment
          example: connections
          type: string
          enum:
            - me
            - connections
            - everyone
        original_filename:
          description: Original file name
          example: Sample1
          maxLength: 255
          type: string
          nullable: true
        filename:
          description: File name used for sharing
          example: Sample1
          maxLength: 255
          type: string
          nullable: true
        tags:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/AttachmentTag'
        url:
          description: URL of attachment
          example: >-
            https://assets.sample.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
    RetailerShort:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Retailer ID
          example: 500
          type: integer
          readOnly: true
        name:
          description: Retailer name
          example: Demo Retailer
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Retailer code, which is retailer name in lower case and hyphenated
          example: demo-retailer
          maxLength: 32
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        logo_url:
          description: URL of retailer logo
          example: >-
            https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        cover_url:
          description: URL of retailer cover image
          example: >-
            https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_tile_url:
          description: URL of retailer profile image
          example: >-
            https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg
          minLength: 1
          type: string
          format: uri
          readOnly: true
        joined_at:
          description: Time of retailer joining Dropship (UTC format)
          example: '2021-08-03T17:24:12Z'
          type: string
          format: date-time
          readOnly: true
        is_rcn_retailer:
          description: >-
            true: Retailer is in Dropship network; Retailer is not in Dropship
            network
          example: false
          type: boolean
        is_onboarded:
          description: 'true: Retailer is onboarded | false: Retailer is not onboarded'
          example: false
          type: boolean
        platform:
          description: Platform on which retailer is onboarded
          example: fabric
          type: string
          enum:
            - fabric
        requires_subscription:
          description: Represent whether retailer requires subscription to use the platform
          example: disabled
          type: string
          enum:
            - disabled
            - enabled
            - upcoming
        brand_permit_creation_allowed:
          description: >-
            true: Platform allows creation of brand permit | false: Platform
            doesn't require creation of brand permit
          example: false
          type: boolean
        website:
          description: Website URL
          example: https://demoabc.com
          maxLength: 100
          type: string
          format: uri
          nullable: true
        status:
          description: Retailer status
          example: active
          type: string
          enum:
            - active
            - setup
            - ghost
    BrandShort:
      required:
        - code
      type: object
      properties:
        id:
          description: Vendor (brand) ID
          example: 500
          type: integer
          readOnly: true
        name:
          description: Vendor name
          example: Marla Cielo
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Vendor code, which is vendor name in lower case and underscore
          example: demo-brand
          maxLength: 64
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        joined_at:
          description: Time when vendor joined Dropship (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        logo_url:
          description: URL of the brand logo
          example: https://images.revcascade.com/retailers/defaults/logo-lg.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        cover_url:
          description: URL of the cover image
          example: https://images.revcascade.com/retailers/defaults/cover.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_tile_url:
          description: URL of the profile image
          example: https://images.revcascade.com/retailers/defaults/profile-tile.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        website:
          description: URL of brand website
          example: null
          maxLength: 100
          type: string
          format: uri
          nullable: true
        is_onboarded:
          description: 'true: Vendor is onboarded | false: Vendor is not onboarded'
          example: false
          type: boolean
          readOnly: true
        is_on_rcn:
          description: 'true: is on Dropship network | false: not on Dropship network'
          example: false
          type: boolean
        requires_subscription:
          description: Represents whether subscription is required
          example: enabled
          type: string
          enum:
            - disabled
            - enabled
            - upcoming
        subscription_expires_at:
          description: Subscription expiry Time (UTC format)
          example: '2024-09-19T13:32:10Z'
          type: string
          format: date-time
          nullable: true
        grace_period_ends_at:
          description: Time of grace period expiration (UTC format)
          example: '2024-10-26T13:32:10Z'
          type: string
          format: date-time
          nullable: true
        subscription_is_expired:
          description: 'true: subscription is expired | false: subscription is active'
          example: false
          type: boolean
          readOnly: true
        subscription_is_on_grace_period:
          description: >-
            true: subscription is on grace period | false: subscription is not
            on grace period
          example: false
          type: boolean
          readOnly: true
        subscription_is_delinquent:
          description: 'true: subscription is overdue | false: subscription is paid'
          example: false
          type: boolean
          readOnly: true
        inventory_policy:
          description: Inventory policy
          example: managed
          type: string
          enum:
            - unmanaged
            - managed
            - use_variant_policy
        status:
          description: Vendor status
          example: active
          type: string
          enum:
            - active
            - pending
            - inactive
    Credit:
      type: object
      properties:
        id:
          description: Credit ID
          example: 20
          type: integer
          readOnly: true
        brand:
          $ref: '#/components/schemas/BrandShort'
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        currency:
          $ref: '#/components/schemas/Currency'
        rma:
          $ref: '#/components/schemas/RMA'
        invoice:
          $ref: '#/components/schemas/Invoice'
        order:
          description: Order details
          type: string
        credit_number:
          description: Credit number
          example: '849238'
          maxLength: 32
          type: string
          nullable: true
        credit_lines:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/CreditLine'
        adjustments:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Adjustment'
        acknowledged_at:
          description: Time of credit acknowledgment
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        credited_at:
          description: Time of credit (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        created_at:
          description: Time of creation (UTC format)
          example: '2022-08-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        subtotal:
          description: Subtotal amount
          example: '20.00'
          type: string
          format: decimal
          readOnly: true
        credit_amount:
          description: Credit amount
          example: '24.00'
          type: string
          format: decimal
          readOnly: true
    VariantShort:
      type: object
      properties:
        id:
          description: Variant ID
          example: 100024
          type: integer
          readOnly: true
        name:
          description: Variant Name
          example: T-Shirt, Blue, L
          maxLength: 200
          type: string
          nullable: true
        brand:
          $ref: '#/components/schemas/BrandShort'
        brand_identifier:
          description: Unique SKU assigned by the Brand
          example: 1000-BL-L
          minLength: 1
          type: string
          readOnly: true
        identifier:
          description: >-
            Identifier assigned by the retailer (if set). Otherwise, returns the
            unique SKU assigned by the Brand.
          example: '5000001'
          maxLength: 128
          type: string
          nullable: true
        upc:
          description: UPC or other GTIN
          example: 9119119111
          maxLength: 64
          type: string
        cartons:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Carton'
        color:
          description: Color of the item (from attributes.color)
          example: Red
          maxLength: 128
          type: string
          nullable: true
        style:
          description: Style of the item (will be the same value as attributes.style)
          example: Print
          maxLength: 128
          type: string
          nullable: true
        size:
          description: Size of the item (will be the same value as attributes.size)
          example: Large
          maxLength: 128
          type: string
          nullable: true
        media:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/VariantImage'
        attributes:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Attribute'
        ruleset_variants:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/RulesetVariant'
        ruleset_variant_summary:
          description: Number of items that are passed and failed in rule validation.
          example: '21'
          type: string
          readOnly: true
        active_permit:
          $ref: '#/components/schemas/Permit'
        permits:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Permit'
        is_compatible:
          description: >-
            true: variant meets requirement | false: variant doesn not meet
            requirement
          example: true
          type: boolean
          readOnly: true
        proposal_variant:
          $ref: '#/components/schemas/ProposalVariant'
        retailer_identifiers:
          $ref: '#/components/schemas/RetailerIdentifier'
        retailer_categories:
          $ref: '#/components/schemas/RetailerCategory'
        inventory:
          $ref: '#/components/schemas/InventoryBase'
    UserShort:
      type: object
      properties:
        id:
          description: User ID who accepted or rejected the invoice
          example: 542
          type: integer
          readOnly: true
        first_name:
          description: First name of user
          example: Sample
          maxLength: 64
          type: string
          nullable: true
        last_name:
          description: Last name of user
          example: Demo
          maxLength: 64
          type: string
          nullable: true
        title:
          description: User title
          example: Demo
          maxLength: 64
          type: string
          nullable: true
        status:
          description: User status
          example: Active
          type: string
          enum:
            - active
            - invited
            - locked
        type:
          description: User type
          example: standard
          type: string
          enum:
            - standard
            - api
        photo_url:
          description: URL of the user photo
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_photo:
          description: URL of the user's profile photo
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        is_me:
          description: 'true: user is me: | false: user is not me'
          example: true
          type: boolean
          readOnly: true
    AttachmentTag:
      required:
        - tag
      type: object
      properties:
        id:
          description: Attachment tag ID
          example: 432
          type: integer
          readOnly: true
        tag:
          description: attachment tag
          example: demotag
          maxLength: 128
          minLength: 1
          type: string
    Invoice:
      required:
        - invoice_number
      type: object
      properties:
        id:
          description: Invoice ID
          example: 1
          type: integer
          readOnly: true
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        brand:
          $ref: '#/components/schemas/BrandShort'
        connection_id:
          description: Connection ID
          example: 2
          type: string
          readOnly: true
        currency:
          $ref: '#/components/schemas/Currency'
        invoice_number:
          description: Invoice number
          example: RC123456
          maxLength: 32
          minLength: 1
          type: string
        terms_type:
          description: Types of invoice terms
          example: Previously agreed upon
          type: string
          nullable: true
          enum:
            - End of Month (EOM)
            - No Charge
            - Consignment
            - 10 Days After End of Month (10 EOM)
            - Cash Discount Terms Apply
            - Basic
            - Fixed Date, Late Payment Penalty Applies
            - Extended
            - Discount Not Applicable
            - Fixed Date
            - Previously agreed upon
        terms_description:
          description: Description of invoice terms
          example: Previously agreed upon terms will apply
          type: string
          nullable: true
        terms_net_days_due:
          description: Number of days to pay invoice
          example: 35
          maximum: 2147483647
          minimum: -2147483648
          type: integer
          nullable: true
        terms_date_due:
          description: Payment expected date
          example: null
          type: string
          format: date
          nullable: true
        terms_discount_percent:
          description: Discount percentage on selected term
          example: null
          type: string
          format: decimal
          nullable: true
        order_id:
          description: Order ID related to invoice
          example: O-654
          type: integer
        customer_order_number:
          description: Customer order number (for enduser)
          example: CO-435
          maxLength: 64
          type: string
          nullable: true
        purchase_order_number:
          description: Purchase order number (for retailer)
          example: PO-546
          maxLength: 64
          type: string
          nullable: true
        status:
          description: Invoice status
          example: closed
          type: string
          enum:
            - closed
            - open
        remit_to:
          $ref: '#/components/schemas/Address'
        ship_from:
          $ref: '#/components/schemas/Address'
        sold_to:
          $ref: '#/components/schemas/Address'
        ship_to:
          $ref: '#/components/schemas/Address'
        shipping_carrier_name:
          description: Name of shipping carrier
          example: ALZ carrier
          maxLength: 32
          type: string
          nullable: true
        shipping_carrier_code:
          description: Code of shipping carrier
          example: 230F
          maxLength: 32
          type: string
          nullable: true
        shipping_account_number:
          description: Shipping account number
          example: SH879
          maxLength: 32
          type: string
          nullable: true
        shipping_method_name:
          description: Name of shipping method
          example: Next day delivery
          maxLength: 32
          type: string
          nullable: true
        shipping_method_code:
          description: Code of shipping method
          example: ND
          maxLength: 32
          type: string
          nullable: true
        shipping_tracking_number:
          description: Shipping tracking number
          example: 1Z9999999999999988
          maxLength: 32
          type: string
          nullable: true
        shipping_weight:
          description: Shipping weight
          example: '7.00'
          type: string
          format: decimal
          nullable: true
        notes:
          description: Addition info adding to shipping
          example: Signature required
          type: string
          nullable: true
        invoiced_at:
          description: Time of invoice creation (UTC format)
          example: '2022-05-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        ordered_at:
          description: Time of order finalization (UTC format)
          example: '2022-05-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        shipped_at:
          description: Time of shipping (UTC format)
          example: '2022-05-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        acknowledged_at:
          description: Time of retailer acknowledgment (UTC format)
          example: '2022-06-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        paid_at:
          description: Time of payment (UTC format)
          example: '2022-06-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        closed_at:
          description: Time of complete invoice payment (UTC format)
          example: null
          type: string
          format: date-time
          nullable: true
        canceled_at:
          description: Time of order cancellation (UTC format)
          example: null
          type: string
          format: date-time
          nullable: true
        allowances:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceAllowance'
        charges:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceCharge'
        invoice_lines:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/InvoiceLine'
        net_amount:
          description: Total invoice amount (excluding taxes)
          example: '12.89'
          type: string
          format: decimal
          nullable: true
        due_amount:
          description: Pending amount
          example: '2.89'
          type: string
          format: decimal
          nullable: true
        expected_due_amount:
          description: Expected due amount (excluding *allowances* and *charges*)
          example: '2.89'
          type: string
          format: decimal
          nullable: true
        subtotal:
          description: Sub-total
          example: '10.89'
          type: string
          format: decimal
          nullable: true
        tax:
          description: Total tax on the invoice
          example: '2.00'
          type: string
          format: decimal
          nullable: true
        invoice_acceptance:
          $ref: '#/components/schemas/InvoiceAcceptance'
    CreditLine:
      required:
        - quantity
      type: object
      properties:
        id:
          description: Credit line ID
          example: 566
          type: integer
          readOnly: true
        variant:
          $ref: '#/components/schemas/VariantShort'
        quantity:
          description: Quantity
          example: 10
          maximum: 2147483647
          minimum: -2147483648
          type: integer
        net_price:
          description: Credit line net price
          example: '12.99'
          type: string
          format: decimal
    Adjustment:
      type: object
      properties:
        id:
          description: Adjustment ID
          example: 566
          type: integer
          readOnly: true
        description:
          description: Adjustment description
          example: Sample description for adjustment
          maxLength: 128
          type: string
          nullable: true
        net_price:
          description: Adjustment net price
          example: '1.00'
          type: string
          format: decimal
    Carton:
      type: object
      properties:
        id:
          description: Carton ID
          example: 48
          type: integer
          readOnly: true
        number:
          description: Carton number
          example: 1
          maximum: 2147483647
          minimum: -2147483648
          type: integer
        length:
          description: Carton length
          example: '1'
          type: string
          format: decimal
          nullable: true
        length_unit:
          description: Unit of length
          example: '1'
          type: string
          readOnly: true
        width:
          description: Carton width
          example: '1'
          type: string
          format: decimal
          nullable: true
        width_unit:
          description: Unit of width
          example: meter
          type: string
          readOnly: true
        height:
          description: Carton height
          example: '1'
          type: string
          format: decimal
          nullable: true
        height_unit:
          description: Unit of height
          example: meter
          type: string
          readOnly: true
        weight:
          description: Carton weight
          example: '15'
          type: string
          format: decimal
          nullable: true
        weight_unit:
          description: Unit of weight
          example: KG
          type: string
          readOnly: true
        package_girth_inches:
          description: Girth of the package, in inches
          example: '1'
          type: string
          readOnly: true
        package_size_inches:
          description: Size of the package, in inches
          example: '1'
          type: string
          readOnly: true
    VariantImage:
      type: object
      properties:
        id:
          description: Variant ID
          example: 249
          type: integer
          readOnly: true
        width:
          description: Width of variant image
          example: 100
          maximum: 2147483647
          minimum: -2147483648
          type: integer
          nullable: true
        height:
          description: Height of variant image
          example: 100
          maximum: 2147483647
          minimum: -2147483648
          type: integer
          nullable: true
        media:
          description: Variant images
          example: default
          type: string
          readOnly: true
        priority:
          description: >-
            Order in which the vendor prefers the images to be shown image 1 is
            shown first.
          example: 1
          maximum: 2147483647
          minimum: -2147483648
          type: integer
        url:
          description: URL of variant image
          example: 192.168.99.100/media/default/original
          type: string
          readOnly: true
        updated_at:
          description: Time of variant image update (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        created_at:
          description: Time of variant image creation (UTC format)
          example: '2022-08-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
    Attribute:
      required:
        - code
        - name
        - type
      type: object
      properties:
        id:
          description: Attribute ID
          example: 44
          type: integer
          readOnly: true
        code:
          description: Attribute code
          example: size
          maxLength: 200
          minLength: 1
          type: string
        name:
          description: Attribute name
          example: Size
          maxLength: 200
          minLength: 1
          type: string
        editable_by:
          description: User permission to edit attribute
          example: brand
          type: string
          nullable: true
          enum:
            - retailer
            - brand
            - any
            - none
        grouping:
          description: Criteria to group attribute
          example: general
          type: string
          nullable: true
          enum:
            - description
            - general
            - images
            - inventory
            - misc
            - retailer
            - shipping
            - identifiers
            - pricing
        description:
          description: Attribute description
          example: demo product description
          type: string
          nullable: true
        type:
          description: Attribute type
          example: money
          type: string
          enum:
            - boolean
            - date
            - list
            - media
            - money
            - number
            - percent
            - string
            - text
            - url
        units:
          description: >-
            Unit of the selected attribute **type**. If the attribute type is
            money, the unit is USD.
          example: USD
          maxLength: 32
          type: string
          nullable: true
        values:
          $ref: '#/components/schemas/AttributeValue'
    RulesetVariant:
      type: object
      properties:
        id:
          description: ID of ruleset variant
          example: 1232
          type: integer
          readOnly: true
        status:
          description: Status of ruleset variant
          example: processing
          type: string
          enum:
            - processing
            - passed
            - failed
        ruleset:
          $ref: '#/components/schemas/RulesetVariant'
        results:
          description: Response
          type: string
        created_at:
          description: Time of creation (UTC format)
          example: '2022-08-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        updated_at:
          description: Time of last update (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
    Permit:
      type: object
      properties:
        id:
          description: Permit ID
          example: 10104
          type: integer
          readOnly: true
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        retailer_price:
          description: Retailer price of the variant
          example: '12.99'
          type: string
          format: decimal
          nullable: true
        retailer_cost:
          description: Retailer cost of variant
          example: '8.99'
          type: string
          format: decimal
          nullable: true
        pricing:
          type: object
          properties: {}
        attributes:
          type: object
          properties: {}
        start_at:
          description: Time of permit start (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        end_at:
          description: Time of permit end (UTC format)
          example: '2024-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        is_in_effect:
          description: 'true: permit is in effect | false: permit is not in effect'
          example: true
          type: boolean
          readOnly: true
        revoked_at:
          description: Time when permit got revoked (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        is_acknowledged:
          description: 'true: permit is acknowledged | false: permit is not acknowledged'
          example: true
          type: boolean
          readOnly: true
        acknowledged_at:
          description: Time of acknowledgment (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
    ProposalVariant:
      type: object
      properties:
        id:
          description: Proposal variant ID
          example: 3456
          type: integer
          readOnly: true
        pricing:
          description: Pricing of variant
          example: '12.00'
          type: string
          readOnly: true
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/AttributeValue'
        memos:
          type: array
          items:
            $ref: '#/components/schemas/Memo'
        issues:
          type: array
          items:
            $ref: '#/components/schemas/IssueElementOnly'
          readOnly: true
        variant_id:
          description: Variant ID
          example: 249
          type: integer
          readOnly: true
        approved_at:
          description: Time of approval (UTC format)
          example: '2022-10-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        created_at:
          description: Time of creation (UTC format)
          example: '2022-07-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        updated_at:
          description: Time of last update (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        rejected_at:
          description: Time of proposal rejection (UTC format)
          example: null
          type: string
          format: date-time
          nullable: true
        reject_reason:
          description: Rejection reason
          example: Incomplete
          maxLength: 32
          type: string
          nullable: true
        reject:
          description: 'true: proposal is rejected | false: proposal is not rejected'
          example: true
          type: boolean
        approve:
          description: 'true: proposal is approved | false: proposal is not approved'
          example: false
          type: boolean
        delete:
          description: 'true: proposal is deleted | false: proposal is not deleted'
          example: false
          type: boolean
    RetailerIdentifier:
      type: object
      properties:
        id:
          description: Retailer ID
          example: 5642
          type: integer
          readOnly: true
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        identifier:
          description: Stock Keeping Unit (SKU), unique identifier of a product
          example: SKU976
          maxLength: 256
          type: string
          nullable: true
        name:
          description: Retailer name
          example: Retailer Sample
          maxLength: 256
          type: string
          nullable: true
    RetailerCategory:
      required:
        - category
      type: object
      properties:
        id:
          description: Retailer category ID
          example: 453
          type: integer
          readOnly: true
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        category:
          description: Category name
          example: CategoryANC
          maxLength: 256
          minLength: 1
          type: string
    InventoryBase:
      required:
        - brand_inventory_updated_at
        - estimated_availability_date
        - inventory_last_submitted_at
        - inventory_updated_at
        - sellable_updated_at
      type: object
      properties:
        discontinued:
          description: 'true: Product is discontinued | false: Product is active'
          example: true
          type: boolean
          readOnly: true
        discontinued_updated_at:
          description: Time of when product inventory was discontinued (UTC format)
          example: null
          type: string
          format: date-time
          readOnly: true
        inventory:
          description: Inventory of variant
          example: 0
          type: integer
          readOnly: true
        inventory_updated_at:
          description: Time of inventory update (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
        inventory_last_submitted_at:
          description: Time of inventory submit (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
        brand_inventory_updated_at:
          description: Time of vendor inventory update (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
        sellable:
          description: 'yes: Variant is sellable | No: Variant is not sellable'
          example: 'No'
          type: string
          readOnly: true
        sellable_updated_at:
          description: Time when product or variant was marked sellable (UTC format)
          example: '2022-11-10T15:24:56Z'
          type: string
          format: date-time
        replenishable:
          description: 'true: product is replenishable | false: product is not replenishable'
          example: true
          type: boolean
          readOnly: true
        estimated_availability_date:
          description: Estimated delivery date (UTC format)
          example: '2022-09-10T15:24:56Z'
          minLength: 1
          type: string
        locations:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/InventoryLocation'
    Address:
      required:
        - city
        - country
        - name1
        - postal_code
        - province
        - street1
      type: object
      properties:
        id:
          description: Address ID
          example: 10
          type: integer
          readOnly: true
        type:
          description: Type of address
          example: residential
          type: string
          nullable: true
          enum:
            - residential
            - commercial
        name1:
          description: Name of the primary contact.
          example: Demo Brand, Inc
          maxLength: 64
          minLength: 1
          type: string
        name2:
          description: Name of the alternative contact?
          example: null
          maxLength: 64
          type: string
          nullable: true
        street1:
          description: Line 1 of the address
          example: 1332 Hermosa Ave
          maxLength: 128
          minLength: 1
          type: string
        street2:
          description: Line 2 of the address
          example: null
          maxLength: 128
          type: string
          nullable: true
        city:
          description: City name
          example: Hermosa Beach
          maxLength: 64
          minLength: 1
          type: string
        province:
          description: State name
          example: CA
          maxLength: 32
          minLength: 1
          type: string
        postal_code:
          description: Postal code
          example: '90254'
          maxLength: 32
          minLength: 1
          type: string
        country:
          description: Country name
          example: US
          maxLength: 128
          minLength: 1
          type: string
        phone1:
          description: Primary contact number
          example: '3105551212'
          maxLength: 32
          type: string
          nullable: true
        phone2:
          description: Alternate contact number
          example: '3105551213'
          maxLength: 32
          type: string
          nullable: true
        fax:
          description: Fax number
          example: null
          maxLength: 32
          type: string
          nullable: true
        email:
          description: Contact email address
          example: null
          maxLength: 128
          type: string
          nullable: true
        federal_tax_id:
          description: 'Federal tax ID '
          example: null
          maxLength: 32
          type: string
          nullable: true
    InvoiceAllowance:
      required:
        - description
        - price
      type: object
      properties:
        id:
          description: Allowance ID
          example: 1
          type: integer
          readOnly: true
        adjustment_code:
          $ref: '#/components/schemas/AdjustmentCode'
        description:
          description: Description of allowance
          example: Sample-discount-allowance
          maxLength: 128
          minLength: 1
          type: string
        price:
          description: Allowance price
          example: '12.10'
          type: string
          format: decimal
    InvoiceCharge:
      required:
        - description
        - price
      type: object
      properties:
        id:
          description: Invoice ID
          example: 654
          type: integer
          readOnly: true
        adjustment_code:
          $ref: '#/components/schemas/AdjustmentCode'
        description:
          description: Invoice description
          example: Sample invoice and its description
          maxLength: 128
          minLength: 1
          type: string
        price:
          description: Invoice price
          example: '23.45'
          type: string
          format: decimal
    InvoiceLine:
      required:
        - price
        - quantity
      type: object
      properties:
        id:
          description: Invoice line ID
          example: 765
          type: integer
          readOnly: true
        variant:
          $ref: '#/components/schemas/VariantShort'
        invoice_line_number:
          description: Invoice line number
          example: 2
          maximum: 2147483647
          minimum: -2147483648
          type: integer
          nullable: true
        item_brand_identifier:
          description: Vendor identifier of product
          example: Vend134
          maxLength: 128
          type: string
          nullable: true
        item_upc:
          description: >-
            Universal product code (UPC) is a 12-digit combination of numbers
            assigned to each product in your dropshipping store
          example: '911911911112'
          maxLength: 32
          type: string
          nullable: true
        quantity:
          description: Product quantity
          example: 45
          maximum: 2147483647
          minimum: -2147483648
          type: integer
        name:
          description: Product name
          example: SamPro1
          maxLength: 128
          type: string
          nullable: true
        description:
          description: Product description
          example: Sample description of product
          maxLength: 128
          type: string
          nullable: true
        canceled_at:
          description: Time of cancellation (UTC format)
          example: null
          type: string
          format: date-time
          nullable: true
        price:
          description: Discounted price
          example: '12.00'
          type: string
          format: decimal
        retail_price:
          description: Retail price
          example: '14.00'
          type: string
          format: decimal
          readOnly: true
    InvoiceAcceptance:
      type: object
      properties:
        id:
          description: Invoice acceptance ID
          example: 565
          type: integer
          readOnly: true
        accepted_by:
          $ref: '#/components/schemas/UserShort'
          description: Vendor acceptance
        rejected_by:
          $ref: '#/components/schemas/UserShort'
        reject_reason:
          description: Reason for invoice rejection
          example: Incorrect
          maxLength: 128
          type: string
          nullable: true
        accepted_at:
          description: Time of invoice acceptance (UTC format)
          example: '2022-08-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        rejected_at:
          description: Time of invoice rejection (UTC format)
          example: null
          type: string
          format: date-time
          nullable: true
    AttributeValue:
      type: object
      properties:
        id:
          description: Attribute value ID
          type: integer
          readOnly: true
        value:
          description: Attribute value
          type: string
          x-nullable: true
        unit:
          $ref: '#/components/schemas/Unit'
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        updated_at:
          description: Time of update
          type: string
          format: date-time
          x-nullable: true
        created_at:
          description: Time of creation
          type: string
          format: date-time
          readOnly: true
    IssueElementOnly:
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
          description: Issue ID
        memos:
          type: array
          items:
            $ref: '#/components/schemas/Memo'
          readOnly: true
        created_at:
          description: Time of issue creation
          type: string
          format: date-time
          readOnly: true
        updated_at:
          description: Time of issue update
          type: string
          format: date-time
          readOnly: true
        resolved_at:
          description: Time of issue resolution
          type: string
          format: date-time
          x-nullable: true
        is_resolved:
          description: 'true: Issue is resolved | false: Issue is not resolved'
          type: string
          readOnly: true
        issue_id:
          description: Issue ID
          type: integer
          readOnly: true
        message:
          description: Description or note related to issue
          type: string
          readOnly: true
          minLength: 1
        title:
          description: Issue title
          type: string
          readOnly: true
          minLength: 1
    InventoryLocation:
      type: object
      properties:
        id:
          description: Location ID
          example: 1
          type: integer
          readOnly: true
        address:
          $ref: '#/components/schemas/Address'
        inventory:
          description: Count of sellable variants
          example: 0
          type: integer
          readOnly: true
        nickname:
          description: Nickname of location
          example: LA Warehouse
          type: string
          readOnly: true
    AdjustmentCode:
      required:
        - adjustment_type
        - code
        - description
      type: object
      properties:
        id:
          description: Adjustment ID
          example: 1
          type: integer
          readOnly: true
        adjustment_type:
          description: Adjustment type
          example: Allowance
          type: string
          enum:
            - allowance
            - charge
        code:
          description: Adjustment code
          example: returns_allowance
          maxLength: 64
          minLength: 1
          type: string
        description:
          description: Description of adjustment
          example: returns_allowance
          maxLength: 128
          minLength: 1
          type: string
    Unit:
      type: object
      properties:
        id:
          description: Unit ID
          example: 677
          type: integer
          readOnly: true
        name:
          description: Unit name
          example: Sample unit
          minLength: 1
          type: string
          readOnly: true
        standard_unit:
          description: Standard unit
          minLength: 1
          type: string
          readOnly: true
        type:
          description: Unit type
          example: cost
          type: string
          readOnly: true
          enum:
            - area
            - distance
            - energy
            - speed
            - temperature
            - time
            - volume
            - weight
            - cost
        system:
          description: Unit system
          example: metric
          type: string
          nullable: true
          enum:
            - metric
            - imperial
        symbol:
          description: Unit symbol
          example: USD
          maxLength: 5
          type: string
          nullable: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````